#
# spec file for package libqt4-devel-doc-data (Version 4.6.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo

Name:           libqt4-devel-doc-data
BuildRequires:  cups-devel freeglut-devel freetype2-devel libQtWebKit-devel libqt4-devel pkgconfig
BuildRequires:  alsa-devel gtk2-devel libqt4-sql-sqlite openssl-devel sqlite-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
# COMMON-VERSION-BEGIN
# COMMON-VERSION-END
Url:            http://www.trolltech.com
License:        QPL, GPL
Group:          System/Libraries
AutoReqProv:    on
Summary:        Qt documentation (architecture independent files)
BuildArch:      noarch
%requires_eq    libqt4
# COMMON-BEGIN
# COMMON-END

%build
export QTDIR=$PWD
export PATH=$PWD/bin:$PATH
export LD_LIBRARY_PATH=$PWD/lib/
sed -i -e "/^QMAKE_CFLAGS_RELEASE[ \t]*+=/s,\$, $RPM_OPT_FLAGS," mkspecs/common/g++.conf
%if %suse_version > 910
  OPTIONS="-system-sqlite"
%else
  OPTIONS=""
%endif
export MAKEFLAGS="%{?_smp_mflags}"
%ifarch sparc64
platform="-platform linux-g++-64"
%else
platform=""
%endif
echo yes | ./configure %common_options $platform $OPTIONS \
	-plugin-sql-sqlite -nomake demos -xmlpatterns -webkit
%check_config
%if 0
pushd src
make %{?_smp_mflags} sub-moc sub-rcc sub-uic
popd
pushd tools
make %{?_smp_mflags} sub-assistant
popd
pushd tools/qdoc3
make %{?_smp_mflags}
popd
%else # simply use the binaries from the -devel package instead of building it again
rpm -ql libqt4-devel | grep %{_bindir}/ | sed 's#%{_bindir}/##' | \
    ( while read file; do test -e bin/$file || ln -s %{_bindir}/$file bin/ ; done )
rpm -ql libqt4-devel | grep %{_libdir}/lib | sed 's#%{_libdir}/##' | \
    ( while read file; do test -e lib/$file || ln -s %{_libdir}/$file lib/ ; done )
rpm -ql libQtWebKit-devel | grep %{_bindir}/ | sed 's#%{_bindir}/##' | \
    ( while read file; do test -e bin/$file || ln -s %{_bindir}/$file bin/ ; done )
rpm -ql libQtWebKit-devel | grep %{_libdir}/lib | sed 's#%{_libdir}/##' | \
    ( while read file; do test -e lib/$file || ln -s %{_libdir}/$file lib/ ; done )
make %{?_smp_mflags} sub-tools-bootstrap
%endif
test -d doc/qch || make %{?_smp_mflags} docs
./config.status

%install
export QTDIR=$PWD
# htmldocs are not generated - why?
for d in docimages qchdocs htmldocs ; do
  make INSTALL_ROOT=$RPM_BUILD_ROOT install_${d}
done

#mkdir -p $RPM_BUILD_ROOT/%_docdir/%base_name/html
#for d in html-api html-assistant html-designer html-linguist html-qmake; do
#  for f in doc/$d/*; do
#    test -f $f && install -m 644 $f  $RPM_BUILD_ROOT/%_docdir/%base_name/html
#  done
#done
rm -rf $RPM_BUILD_ROOT/usr/{bin,%_lib}

%clean
rm -rf $RPM_BUILD_ROOT
# no baselibs supplements for older distros
%if %suse_version < 1110
  sed -i -e 's, supplements .*,,' $RPM_SOURCE_DIR/baselibs.conf
%endif

%files
%defattr(-,root,root,755)
%dir /usr/share/doc/packages/%base_name
/usr/share/doc/packages/%base_name/qch
/usr/share/doc/packages/%base_name/html*
/usr/share/doc/packages/%base_name/src

%changelog
